org.springframework.ldap.query

## Enum SearchScope

- java.lang.Object
- - java.lang.Enum<SearchScope>
  - - org.springframework.ldap.query.SearchScope

- All Implemented Interfaces:
    Serializable, Comparable<SearchScope>

      public enum SearchScope
      extends Enum<SearchScope>

  Type safe definitions of search scopes.
  Since:
    2.0
  Author:
    Mattias Hellborg Arthursson

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OBJECT` Corresponds to `SearchControls.OBJECT_SCOPE`
    `ONELEVEL` Corresponds to `SearchControls.ONELEVEL_SCOPE`
    `SUBTREE` Corresponds to `SearchControls.SUBTREE_SCOPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static SearchScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SearchScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT

          public static final SearchScope OBJECT

      Corresponds to `SearchControls.OBJECT_SCOPE`

    - #### ONELEVEL

          public static final SearchScope ONELEVEL

      Corresponds to `SearchControls.ONELEVEL_SCOPE`

    - #### SUBTREE

          public static final SearchScope SUBTREE

      Corresponds to `SearchControls.SUBTREE_SCOPE`

  - ### Method Detail

    - #### values

          public static SearchScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchScope c : SearchScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchScope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()